# DividerListWidgetState class Null safety

Inheritance
  - Object
  - State<DividerListWidget>
  - DividerListWidgetState

## Constructors

DividerListWidgetState()

## Properties

context → BuildContext
  The location in the tree where this widget builds. [...]
  read-only, inherited
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
mounted → bool
  Whether this State object is currently in a tree. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
widget → DividerListWidget
  The current configuration. [...]
  read-only, inherited

## Methods

activate() → void
  Called when this object is reinserted into the tree after having been removed via deactivate. [...]
  @mustCallSuper, @protected, inherited
build(BuildContext context) → Widget
  Describes the part of the user interface represented by this widget. [...]
  override
deactivate() → void
  Called when this object is removed from the tree. [...]
  @mustCallSuper, @protected, inherited
debugFillProperties(DiagnosticPropertiesBuilder properties) → void
  Add additional properties associated with the node. [...]
  inherited
didChangeDependencies() → void
  Called when a dependency of this State object changes. [...]
  @mustCallSuper, @protected, inherited
didUpdateWidget(covariant DividerListWidget oldWidget) → void
  Called whenever the widget configuration changes. [...]
  @mustCallSuper, @protected, inherited
dispose() → void
  Called when this object is removed from the tree permanently. [...]
  @mustCallSuper, @protected, inherited
fab(BuildContext aContext, AccessState accessState) → Widget?
getForm(dynamic value, dynamic action) → Widget?
initState() → void
  Called when this object is inserted into the tree. [...]
  @mustCallSuper, @protected, inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed. [...]
  inherited
reassemble() → void
  Called whenever the application is reassembled during debugging, for example during hot reload. [...]
  @mustCallSuper, @protected, inherited
setState(VoidCallback fn) → void
  Notify the framework that the internal state of this object has changed. [...]
  @protected, inherited
theList(BuildContext context, dynamic values, AccessState accessState) → Widget
toDiagnosticsNode({String? name, DiagnosticsTreeStyle? style}) → DiagnosticsNode
  Returns a debug representation of the object that is used by debugging tools and by DiagnosticsNode.toStringDeep. [...]
  inherited
toString({DiagnosticLevel minLevel = DiagnosticLevel.info}) → String
  A string representation of this object. [...]
  inherited
toStringShort() → String
  A brief description of this object, usually just the runtimeType and the hashCode. [...]
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited